<template>
  <div id="secondAside">
    <div class="inAsideBlock">
      <ul class="menu">
        <li v-for="item in this.$route.meta.secondAside" v-bind:key="item.name">
          <router-link :class="this.pageName === item.page?'active-nav':''" :to="{name: item.slug}">{{ item.name }}</router-link>
        </li>
      </ul>
    </div>
  </div>
</template>
<script>
export default {
  data:()=>({
    pageName: '',
  }),
  watch: {
    '$route'() {
      this.pageName = this.$route.meta.pageName;
    }
  },
  created() {
    this.pageName = this.$route.meta.pageName;
  },
}
</script>
